[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusPanel.Text

Text displayed on the status bar panel.

## Declaration

Source position: comctrls.pp line 93

`published property TStatusPanel.Text : TCaption read FText write SetText;`

## Description

Text is a TCaption property with the text displayed for the status bar panel. Changing the value for the property causes the Changed method to be called to update the collection item in its owner. PanelChanged is also called to invalidate the text area for the status bar panel.

Text is used when the Style property contains psText. Set Style to psOwnerDraw to use the OnDrawPanel event handler in the StatusBar to render the panel.